> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get PaymentMethod entities.

- Product: Payment methods
- Section: PaymentMethod
- Snapshot: Current
- Method: `GET`
- Path: `/api/payment_methods/`

## Query parameters

### `country`

Type: `string`  
Required: no  

### `dashboard`

Type: `boolean`  
Required: no  

### `manual`

Type: `boolean`  
Required: no  

### `terminal`

Type: `boolean`  
Required: no  

### `type`

Type: `string`  
Required: no  

### `transactionProvider`

Type: `string`  
Required: no  

### `dateFrom`

Type: `string`  
Format: `date-time`  
Required: no  

### `archived`

Type: `boolean`  
Required: no  

### `public`

Type: `boolean`  
Required: no  

### `settings`

Type: `boolean`  
Required: no  

### `organization`

Type: `number`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.paymentMethods.list({
  organization: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/payment_methods/" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "created": "created",
    "paymentMethodSpecification": {},
    "displayName": "displayName",
    "name": "name",
    "description": "description",
    "reference": "reference",
    "paymentChargePercentage": "0",
    "paymentChargePrice": "0",
    "position": 0,
    "public": false,
    "dashboard": false,
    "modified": "modified",
    "archived": "archived"
  }
]
```

##### Schema

###### PaymentMethod[]

Type: `PaymentMethod[]`  

###### PaymentMethod

Type: `PaymentMethod`  

###### `id`

Type: `number`  
Required: yes  

###### `name`

Type: `string`  
Required: no  

###### `description`

Type: `string`  
Required: no  

###### `reference`

Type: `string`  
Required: no  

###### `paymentChargePercentage`

Type: `string`  
Required: no  
Default: `0`  

###### `paymentChargePrice`

Type: `string`  
Required: no  
Default: `0`  

###### `position`

Type: `number`  
Required: no  
Default: `0`  

###### `public`

Type: `boolean`  
Required: no  
Default: `false`  

###### `dashboard`

Type: `boolean`  
Required: no  
Default: `false`  

###### `created`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `modified`

Type: `string`  
Format: `date-time`  
Required: no  

###### `archived`

Type: `string`  
Format: `date-time`  
Required: no  

###### `paymentMethodSpecification`

Type: `PaymentMethodSpecification`  
Required: yes  

###### `displayName`

Type: `string`  
Required: yes  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/payment-methods/methods/list/)
- [TypeScript Markdown](/payment-methods/methods/list.md?lang=typescript)
- [curl Markdown](/payment-methods/methods/list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/payment-methods/llms.txt)
- [snapshot llms.txt](/payment-methods/llms.txt)
